MetricSetControllerReplaceElementOnMetricSet Method

POST /MetricSet/ReplaceElement/{id} Replaces an element in a metric set.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("ReplaceElement")]
public IActionResult ReplaceElementOnMetricSet(
	Guid id,
	[FromBodyAttribute] ReplaceElementOptions options,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the metric set.
options
Type: Dundas.BI.WebApi.ModelsReplaceElementOptions
The options for replacing the element on the metric set.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also